DESFireFile

com.rscja.deviceapi.entity

## Class DESFireFile

- java.lang.Object
- - com.rscja.deviceapi.entity.DESFireFile

-     public class DESFireFile
      extends java.lang.Object

  DESFire文件简单数据实体
  DESFire file simple data entity

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DESFireFile(int fileNo, RFIDWithISO14443A.DESFireFileTypekEnum fileType, RFIDWithISO14443A.DESFireEncryptionTypekEnum encryptionType, java.lang.String readPermissions, java.lang.String writePermissions, java.lang.String readWritePermissions, java.lang.String updatePermissions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getData()` 获取数据，仅对数据文件类型有效 acquire data, it is only valid for data file type only
    `RFIDWithISO14443A.DESFireEncryptionTypekEnum` | `getEncryptionType()` 获取加密方式 acquire encryption method
    `int` | `getFileNo()` 获取文件号 acquire file number
    `int` | `getFileSize()` 获取文件大小，仅对数据文件类型有效 acquire file size, it is valid for data file type only
    `RFIDWithISO14443A.DESFireFileTypekEnum` | `getFileType()` 获取文件类型 acquire file type
    `int` | `getMaxValue()` 获取最大值，仅对值文件类型有效 acquire maximum value, it is valid for value file type only
    `int` | `getMinValue()` 获取最小值，仅对值文件类型有效 acquire minimum value, it is valid for value file type only
    `java.lang.String` | `getReadPermissions()` 获取读取权限 acquire read authorization
    `java.lang.String` | `getReadWritePermissions()` 获取读写权限 acquire read-write authorization
    `java.lang.String` | `getUpdatePermissions()` 获取修改权限 acquire modify authorization
    `java.lang.String` | `getWritePermissions()` 获取写权限 acquire write authorization
    `void` | `setData(java.lang.String hexData)` 设置数据，仅对数据文件类型有效 setup data, it is valid for value file type only
    `void` | `setFileSize(int fileSize)` 设置文件大小，仅对数据文件类型有效 setup file size, it is valid for data file type only
    `void` | `setMaxValue(int maxValue)` 设置最小值，仅对值文件类型有效 setup minimum value, it is valid for value file type only
    `void` | `setMinValue(int minValue)` 设置最小值，仅对值文件类型有效 setup minimum value, it is valid for value file type only

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DESFireFile

          public DESFireFile(int fileNo,
                             RFIDWithISO14443A.DESFireFileTypekEnum fileType,
                             RFIDWithISO14443A.DESFireEncryptionTypekEnum encryptionType,
                             java.lang.String readPermissions,
                             java.lang.String writePermissions,
                             java.lang.String readWritePermissions,
                             java.lang.String updatePermissions)

  - ### Method Detail

    - #### getFileNo

          public int getFileNo()

      获取文件号
      acquire file number
      Returns:

    - #### getFileType

          public RFIDWithISO14443A.DESFireFileTypekEnum getFileType()

      获取文件类型
      acquire file type
      Returns:

    - #### getFileSize

          public int getFileSize()

      获取文件大小，仅对数据文件类型有效
      acquire file size, it is valid for data file type only
      Returns:

    - #### setFileSize

          public void setFileSize(int fileSize)

      设置文件大小，仅对数据文件类型有效
      setup file size, it is valid for data file type only
      Parameters:
        `fileSize` -

    - #### getEncryptionType

          public RFIDWithISO14443A.DESFireEncryptionTypekEnum getEncryptionType()

      获取加密方式
      acquire encryption method
      Returns:

    - #### getReadPermissions

          public java.lang.String getReadPermissions()

      获取读取权限
      acquire read authorization
      Returns:

    - #### getWritePermissions

          public java.lang.String getWritePermissions()

      获取写权限
      acquire write authorization
      Returns:

    - #### getReadWritePermissions

          public java.lang.String getReadWritePermissions()

      获取读写权限
      acquire read-write authorization
      Returns:

    - #### getUpdatePermissions

          public java.lang.String getUpdatePermissions()

      获取修改权限
      acquire modify authorization
      Returns:

    - #### setMinValue

          public void setMinValue(int minValue)

      设置最小值，仅对值文件类型有效
      setup minimum value, it is valid for value file type only
      Parameters:
        `minValue` -

    - #### setMaxValue

          public void setMaxValue(int maxValue)

      设置最小值，仅对值文件类型有效
      setup minimum value, it is valid for value file type only
      Parameters:
        `maxValue` -

    - #### getMinValue

          public int getMinValue()

      获取最小值，仅对值文件类型有效
      acquire minimum value, it is valid for value file type only
      Returns:

    - #### getMaxValue

          public int getMaxValue()

      获取最大值，仅对值文件类型有效
      acquire maximum value, it is valid for value file type only
      Returns:

    - #### getData

          public java.lang.String getData()

      获取数据，仅对数据文件类型有效
      acquire data, it is only valid for data file type only
      Returns:

    - #### setData

          public void setData(java.lang.String hexData)

      设置数据，仅对数据文件类型有效
      setup data, it is valid for value file type only
      Parameters:
        `hexData` -